package mk.ukim.finki.it.reservengo.web;

import mk.ukim.finki.it.reservengo.dto.userDTO.UserDTO;
import mk.ukim.finki.it.reservengo.model.domain.User;
import mk.ukim.finki.it.reservengo.service.intf.UserService;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api/user")
public class UserController {

    private final UserService userService;

    public UserController(UserService userService) {
        this.userService = userService;
    }

    @PutMapping("/{userId}/edit-info")
    public ResponseEntity<?> editPersonalInfo(@PathVariable Long userId, @RequestBody UserDTO userDTO) {
        User user = userService.editUserInfo(userId, userDTO);
        return ResponseEntity.ok(user);
    }
}
